package projectzombie.items;

import projectzombie.init.Models;
import projectzombie.items.modifier.ItemModifier;
import projectzombie.items.modifier.ItemModifierDamage;
import projectzombie.items.modifier.ItemModifierMeta;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;

public class ItemFlintHatchet extends ItemAbstractTool
{
	@Override
	public int toolPower(ItemStack stack) {
		return 1;
	}
	
	@Override
	public ItemToolType toolType(ItemStack stack) {
		return ItemToolType.HATCHET;
	}

	@Override
	public double toolSpeed(ItemStack stack) {
		return 1;
	}
	
	@Override
	protected int getMaxDamage() {
		return 10;
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Flint Hatchet";
	}

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_FLINT_HATCHET;
	}

}
